# MetaRoutes

Add default metaroutes to express app

## Installation

- `npm install --save @libs/metaroutes`

## Usage

`const metaRoutes = require('@libs/metaRoutes');`  
`metaRoutes(app, { version, config, isServiceReady, metricsEndpoint }, routeOptions);`

Where:

- `app` is the express app
- `version` is the version of the service as a string
- `config` is the config object of @libs/config
- `isServiceReady` is a function that returns a boolean indicating if the service is ready
- `metricsEndpoint` is the endpoint for the metrics route from @libs/metrics
- `routeOptions` is an object with the following properties:
  - `enableVersion` (default: true) - if true, the version route will be enabled
  - `enableHealth` (default: true) - if true, the health route will be enabled
  - `enableReady` (default: true) - if true, the ready route will be enabled
  - `enableConfig` (default: true) - if true, the config route will be enabled
  - `enableMetrics` (default: true) - if true, the metrics route will be enabled

